package com.qmth.boot.core.security.config;

import java.time.Duration;

/**
 * 安全组件配置参数
 */
public interface SecurityConfig {

    /**
     * 允许服务器时间晚于请求时间戳最大时长
     */
    Duration getTimeMaxDelay();

    /**
     * 允许服务器时间早于请求时间戳最大时长
     *
     * @return
     */
    Duration getTimeMaxAhead();
}
