package com.qmth.boot.test.core.uid;

import com.qmth.boot.core.uid.config.bean.UidConfigBean;
import com.qmth.boot.core.uid.service.impl.LocalMachineService;
import com.qmth.boot.core.uid.service.impl.LocalUidService;
import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;

public class UidTest {

    private static UidConfigBean uidConfig;

    private static LocalUidService uidService;

    private static LocalMachineService machineService;

    @BeforeClass
    public static void prepare() {
        uidConfig = new UidConfigBean();
        machineService = new LocalMachineService();

        uidService = new LocalUidService();
        uidService.setUidConfig(uidConfig);
        uidService.setUidMachineService(machineService);
        uidService.init();
    }

    @Test
    public void test() {
        Assert.assertTrue(uidService.getId() > 0);
    }
}
