package com.qmth.boot.mysql.config;

import java.time.Duration;

public interface MysqlConfig {

    String getUrl();

    String getUsername();

    String getPassword();

    int getMinIdle();

    int getMaxPoolSize();

    Duration getIdleTimeout();

    Duration getConnectionTimeout();

    Duration getMaxLifetime();

    String getLogLevel();
}
