package com.qmth.boot.redis.rateLimit;

import com.qmth.boot.core.rateLimit.service.RateLimitService;
import com.qmth.boot.redis.constant.RedisConstant;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RedisRateLimitAutoConfiguration implements RedisConstant {

    @Bean
    public RateLimitService rateLimitService() {
        return new RedisRateLimitService();
    }
}
