package com.qmth.boot.redis.uid;

import com.qmth.boot.core.uid.service.UidMachineService;
import com.qmth.boot.redis.constant.RedisConstant;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RedisUidAutoConfiguration implements RedisConstant {

    @Bean
    public UidMachineService uidMachineService() {
        return new RedisMachineService();
    }
}
