package com.qmth.boot.core.cache.config;

import java.time.Duration;

/**
 * 缓存通用配置参数
 */
public interface CacheConfig {

    /**
     * 是否允许空值缓存
     *
     * @return
     */
    boolean isAllowNullValue();

    /**
     * 缓存写入后失效时长
     *
     * @return
     */
    Duration getExpireAfterWrite();
}
