package com.qmth.boot.core.concurrent.service;

import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReadWriteLock;

/**
 * 内置并发服务接口
 */
public interface ConcurrentService {

    /**
     * 获取普通锁
     *
     * @param name
     * @return
     */
    Lock getLock(String name);

    /**
     * 获取读写锁
     *
     * @param name
     * @return
     */
    ReadWriteLock getReadWriteLock(String name);

}
