package com.qmth.boot.core.rateLimit.config;

public enum RateLimitTarget {

    ALL(""), DEVICE("d");

    private String code;

    private RateLimitTarget(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public static RateLimitTarget findByCode(char code) {
        return DEVICE.getCode().equalsIgnoreCase(String.valueOf(code)) ? DEVICE : null;
    }
}

