package com.qmth.boot.core.rateLimit.service.impl;

import com.qmth.boot.core.rateLimit.config.RateLimitRule;
import com.qmth.boot.core.rateLimit.service.RateLimitPolicy;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class EmptyRateLimitPolicy implements RateLimitPolicy {

    @Bean
    @ConditionalOnMissingBean(RateLimitPolicy.class)
    public RateLimitPolicy rateLimitPolicy() {
        return new EmptyRateLimitPolicy();
    }

    @Override
    public RateLimitRule[] getRules(String path) {
        return null;
    }

}
