package com.qmth.boot.core.uid.service.impl;

import com.qmth.boot.core.uid.service.UidMachineService;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class LocalMachineService implements UidMachineService {

    @Bean
    @ConditionalOnMissingBean(UidMachineService.class)
    public UidMachineService uidMachineService() {
        return new LocalMachineService();
    }

    @Override
    public int getMachineId() {
        return 0;
    }
}
