package com.qmth.boot.redis.concurrent;

import com.qmth.boot.core.concurrent.service.ConcurrentService;
import com.qmth.boot.redis.constant.RedisConstant;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RedisConcurrentAutoConfiguration implements RedisConstant {

    @Bean
    public ConcurrentService concurrentService() {
        return new RedisConcurrentService();
    }
}
